@import '../../../styles/vars.scss';

.game-field {
    position: relative;

    .other-players {
        margin-bottom: 20px;
        display: flex;
        flex-direction: column;
        align-items: flex-end;

        .other-hand {
            margin-top: 20px;
            display: flex;
            flex-direction: column;
        }
    }

    .game-deck {
        position: relative;
        height: 120px;

        .card {
            position: absolute;

            @for $i from 0 through 99 {

                &.card-#{$i} {
                    top: #{$i / 2}px;
                    left: #{$i / 2}px;
                }
            }
        }
    }

    .turn-field {
        height: 200px;
        display: flex;
        align-items: center;

        .game-deck {
            width: 60px;
            height: 90px;

            .card {
                left: 0;
            }
        }
    }

    .hand {
        display: flex;

        .active {
            .card {
                box-shadow: 0px 0px 12px 2px #292929;
            }
        }
    }

    .turn-status {
        position: absolute;
        top: -33px;
        right: 0;
        color: $turn-status-color;
    }
}